com.holonplatform.vaadin.flow.navigator.exceptions

## Class NavigationTargetConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.vaadin.flow.navigator.exceptions.NavigationTargetConfigurationException

- All Implemented Interfaces:
    Serializable

      public class NavigationTargetConfigurationException
      extends RuntimeException

  Exception to notify navigation target class configuration errors.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationTargetConfigurationException(String message)` Constructor with error message.
    `NavigationTargetConfigurationException(String message, Throwable cause)` Constructor with error message and nested exception.
    `NavigationTargetConfigurationException(Throwable cause)` Constructor with nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationTargetConfigurationException

          public NavigationTargetConfigurationException(String message)

      Constructor with error message.
      Parameters:
        `message` - Error message

    - #### NavigationTargetConfigurationException

          public NavigationTargetConfigurationException(Throwable cause)

      Constructor with nested exception.
      Parameters:
        `cause` - Nested exception

    - #### NavigationTargetConfigurationException

          public NavigationTargetConfigurationException(String message,
                                                        Throwable cause)

      Constructor with error message and nested exception.
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.